> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List properties

> Lists private and public properties owned by a given Client Id.

**Required scopes:** `properties.configuration:rw`


## OpenAPI

````yaml /api/configuration/v3.5/openapi.json post /action/list_properties
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.5
servers:
  - url: https://api.livechatinc.com/v3.5/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/list_properties:
    post:
      tags:
        - Properties
      summary: List properties
      description: Lists private and public properties owned by a given Client Id.
      operationId: list-properties
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListPropertiesRequest'
            example:
              owner_client_id: 0805e283233042b37f460ed8fbf22160
      responses:
        '200':
          description: A list of properties.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPropertiesResponse'
              example:
                string_property:
                  type: string
                  description: ''
                  access:
                    thread:
                      agent:
                        - read
                        - write
                      customer:
                        - read
                    chat:
                      agent:
                        - write
                      customer:
                        - read
                        - write
                  public_access:
                    - read
components:
  schemas:
    ListPropertiesRequest:
      type: object
      required:
        - owner_client_id
      properties:
        owner_client_id:
          type: string
          description: >-
            The Client Id that owns the properties. Must be owned by your
            organization.
    ListPropertiesResponse:
      type: object
      description: A map of property names to their definitions.
      additionalProperties:
        $ref: '#/components/schemas/PropertyDefinition'
    PropertyDefinition:
      type: object
      description: The definition of a registered property.
      properties:
        type:
          type: string
          enum:
            - int
            - string
            - bool
            - tokenized_string
          description: The property type.
        description:
          type: string
          description: The property description.
        access:
          $ref: '#/components/schemas/PropertyAccess'
        public_access:
          type: array
          items:
            type: string
            enum:
              - read
              - write
          description: >-
            The public access level of the property. Present only for published
            properties.
    PropertyAccess:
      type: object
      description: >-
        An object with location keys (`chat`, `thread`, `event`, `license`,
        `group`) and their access configuration.
      properties:
        chat:
          $ref: '#/components/schemas/PropertyLocationAccess'
        thread:
          $ref: '#/components/schemas/PropertyLocationAccess'
        event:
          $ref: '#/components/schemas/PropertyLocationAccess'
        license:
          $ref: '#/components/schemas/PropertyLocationAccess'
        group:
          $ref: '#/components/schemas/PropertyLocationAccess'
    PropertyLocationAccess:
      type: object
      description: >-
        An object defining which users can access the property within a
        location.
      properties:
        agent:
          $ref: '#/components/schemas/PropertyAccessLevel'
        customer:
          $ref: '#/components/schemas/PropertyAccessLevel'
    PropertyAccessLevel:
      type: array
      items:
        type: string
        enum:
          - read
          - write
      description: 'The access levels. Possible values: `read`, `write`.'
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````